#
# spec file for package gap-homalg
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           gap-homalg
Version:        2024.01.01
%define sillyver 2024.01-01
Release:        1.3
Summary:        GAP: A homological algebra meta-package for computable Abelian categories
License:        GPL-2.0-only
Group:          Productivity/Scientific/Math
URL:            https://homalg-project.github.io/pkg/homalg
#Git-Clone:	https://github.com/homalg-project/homalg_project
Source:         https://github.com/homalg-project/homalg_project/releases/download/homalg-%sillyver/homalg-%sillyver.tar.gz
BuildArch:      noarch
BuildRequires:  gap-rpm-devel
Requires:       gap-core >= 4.12.1
Requires:       gap-gapdoc >= 1.0
Requires:       gap-toolsforhomalg >= 2012.10.27

%description
The package homalg is the foundational part of the homalg project. It
provides procedures to construct basic objects in homological
algebra:

* filtrations of objects
* complexes (of objects and of complexes)
* chain morphisms
* bicomplexes
* bigraded (differential) objects
* spectral sequences
* functors

%prep
%autosetup -n homalg-%sillyver

%build
rm -v doc/clean

%install
%gappkg_simple_install

%files -f %name.files

%changelog
* Sat Mar 23 2024 Jan Engelhardt <jengelh@inai.de>
- Update to release 2024.01.01
  * No changelog was provided
* Sat Feb 11 2023 Jan Engelhardt <jengelh@inai.de>
- Update to release 2022.11.01
  * No changelog
* Sat Nov 19 2022 Jan Engelhardt <jengelh@inai.de>
- Update to release 2022.08.04
  * No changelog was provided
* Sun Dec 24 2017 jengelh@inai.de
- Update to new upstream release 2017.10.26
  * No changelog available
* Fri Sep  8 2017 jengelh@inai.de
- Update to new upstream release 2017.05.10
  * No changeog was provided again
* Tue Dec  8 2015 jengelh@inai.de
- Update to new upstream release 2015.11.05
  * No changelog was provided
* Tue Aug  4 2015 jengelh@inai.de
- Update to new upstream release 2015.03.21
* Fri Dec 12 2014 jengelh@inai.de
- Update to new upstream release 2014.09.14
  * No changelog was provided
* Wed Jun 18 2014 jengelh@inai.de
- Update to new upstream release 2014.04.07
  * No changelog was provided
* Thu Feb  6 2014 jengelh@inai.de
- Update to new upstream release 2013.10.10
  * No changelog was provided
* Fri May 10 2013 jengelh@inai.de
- Split homalg (version 2012.10.28) off the gap RPM package
